-- ZB_DM_FXLQDBF_HB ZB_DM_分险类渠道保费合并


-- ZB_DM_FXLBF ZB_DM_分险类保费
-- allxlbf/日期	险类代码
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当年



--总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select 
    CONCAT(
        'allxlbf/'
        ,s1.`uwConclueDate`
    )                                       as `key` 
    ,s1.`classcode`                         as `hkey`
    ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
group by 
    s1.`uwConclueDate`
    ,s1.`classcode`

;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select 
    CONCAT(
        'provxlbf/'
        ,s1.`uwConclueDate`
        ,'/',s1.`LEVEL1COMCODE`
    )                                       as `key`  
    ,s1.`classcode`                         as `hkey` 
    ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
group by 
    s1.`uwConclueDate`
    ,s1.`classcode`
    ,s1.`LEVEL1COMCODE`
;

-- 中支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'cityxlbf/'
        ,s1.`uwConclueDate`
        ,'/',s1.`LEVEL2COMCODE`
        )                                    as `key`
     ,s1.`classcode`                         as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
group by
    s1.`uwConclueDate`
    ,s1.`classcode`
    ,s1.`LEVEL2COMCODE`
;

-- 县支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'countryxlbf/'
        ,s1.`uwConclueDate`
        ,'/',s1.`LEVEL3COMCODE`
        )                                    as `key`
     ,s1.`classcode`                         as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
group by
    s1.`uwConclueDate`
    ,s1.`classcode`
    ,s1.`LEVEL3COMCODE`
;

-- 团队
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'teamxlbf/'
        ,s1.`uwConclueDate`
        ,'/',s1.`LEVEL4COMCODE`
        )                               as `key`
     ,s1.`classcode`                    as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
group by
    s1.`uwConclueDate`
    ,s1.`classcode`
    ,s1.`LEVEL4COMCODE`
;


-- ZB_DM_FQDBF ZB_DM_分渠道保费
-- chnlbf/日期/00000000	渠道代码
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当年


-- 总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'chnlbf/'
        ,s1.`uwConclueDate`
        ,'/00000000'
        )                                       as `key`
     ,s1.`chnl`                              as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
group by
    s1.`uwConclueDate`
        ,s1.`chnl`

;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'chnlbf/'
        ,s1.`uwConclueDate`
        ,'/',s1.`LEVEL1COMCODE`
        )                                       as `key`
     ,s1.`chnl`                              as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
group by
    s1.`uwConclueDate`
        ,s1.`chnl`
        ,s1.`LEVEL1COMCODE`
;


-- 中支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'citychnlbf/'
        ,s1.`uwConclueDate`
        ,'/',s1.`LEVEL2COMCODE`
        )                                    as `key`
     ,s1.`chnl`                              as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
group by
    s1.`uwConclueDate`
        ,s1.`chnl`
        ,s1.`LEVEL2COMCODE`
;



-- 县支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'countrychnlbf/'
        ,s1.`uwConclueDate`
        ,'/',s1.`LEVEL3COMCODE`
        )                                    as `key`
     ,s1.`chnl`                              as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
group by
    s1.`uwConclueDate`
        ,s1.`chnl`
        ,s1.`LEVEL3COMCODE`
;



-- 团队
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'teamchnlbf/'
        ,s1.`uwConclueDate`
        ,'/',s1.`LEVEL4COMCODE`
        )                                    as `key`
     ,s1.`chnl`                              as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2)))  as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where s1.`COMNAME` is not null
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
group by
    s1.`uwConclueDate`
        ,s1.`chnl`
        ,s1.`LEVEL4COMCODE`
;